## eln 1.5.6

=== CMakeLists.txt ===
# CMakeLists.txt - Part of NotedELN, (C) Daniel Wagenaar 2021

# NEW BUILD INSTRUCTIONS (as of version 1.3.x)
# Type:
#   cd build
#   cmake ..
# to build ELN.


######################################################################
cmake_minimum_required(VERSION 3.19)

######################################################################
# Set the project name and version
project(NotedELN VERSION 1.5.6 LANGUAGES CXX)

set(CMAKE_PROJECT_HOMEPAGE_URL "http://danielwagenaar.net/eln")
set(CMAKE_EXPORT_COMPILE_COMMANDS 1) # for clangd

######################################################################
# Specify the C++ standard [must be done _before_ adding executable!]
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED True)
set(CMAKE_POSITION_INDEPENDENT_CODE ON) # I thought this would do the trick...
if (UNIX AND NOT APPLE)
  add_compile_options(-fPIC) # ... but in fact, this is required on Linux
endif()

# Qt stuff

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

find_package(Qt6 
  REQUIRED COMPONENTS Core Widgets Network Svg PrintSupport
  OPTIONAL_COMPONENTS Multimedia MultimediaWidgets
  )
qt_standard_project_setup()

######################################################################
# Add the executables
qt_add_executable(notedeln WIN32 MACOSX_BUNDLE src/App/main.cpp)
qt_add_executable(webgrab WIN32 webgrab/webgrabWE.cpp)

include(src/CMakeLists.txt)
include(webgrab/CMakeLists.txt)

# Libraries to link to - Qt must be mentioned

target_link_libraries(notedeln PRIVATE Qt::Core Qt6::Widgets
    Qt6::Network  Qt6::Svg Qt6::PrintSupport)
if(TARGET Qt6::Multimedia)
  target_link_libraries(notedeln PRIVATE Qt6::Multimedia)
endif()
if(TARGET Qt6::MultimediaWidgets)
  target_link_libraries(notedeln PRIVATE Qt6::MultimediaWidgets)
endif()

if (WIN32)
	target_link_libraries(notedeln PRIVATE secur32.lib)
endif()
if (APPLE)
  set(CMAKE_OSX_ARCHITECTURES "arm64;x86_64" CACHE INTERNAL "" FORCE)

  set(MACOSX_BUNDLE_ICON_FILE eln.icns)
  include(GNUInstallDirs)
  install(TARGETS notedeln
      BUNDLE  DESTINATION .
      RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
      LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  )
  add_custom_command(TARGET notedeln POST_BUILD
     COMMAND mkdir -p ${CMAKE_CURRENT_BINARY_DIR}/notedeln.app/Contents/Resources
     COMMAND cp ${CMAKE_CURRENT_SOURCE_DIR}/src/App/eln.icns
        ${CMAKE_CURRENT_BINARY_DIR}/notedeln.app/Contents/Resources
  )
endif()

# Produce configuration files
configure_file(src/config.h.in config.h)

# Include paths - Qt must be mentioned
target_include_directories(notedeln PUBLIC "${PROJECT_BINARY_DIR}")
#target_include_directories(notedeln PUBLIC "${Qt6_INCLUDE_DIRS}")

######################################################################
# Spinx documentation
if (UNIX AND NOT APPLE)
  add_subdirectory("docs")
endif()

######################################################################
# General packaging / installation
set(CPACK_PACKAGE_VENDOR "Daniel Wagenaar")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "NotedELN - an Electronic Lab Notebook")
set(CPACK_PACKAGE_DESCRIPTION
  "NotedELN is an Electronic Lab Notebook that lets you focus on note taking.
NotedELN supports text, images, and basic graphical annotations. 
NotedELN makes safeguarding your notebook entries its number one priority 
and is extremely stable.")
set(CPACK_PACKAGE_EXECUTABLES "notedeln;NotedELN")

if (WIN32)
  # NSIS packaging - to be updated
  include(tools/WinPack.CMakeLists.txt)
  include(CPack)
elseif (APPLE)
  qt_generate_deploy_app_script(
      TARGET notedeln
      OUTPUT_SCRIPT deploy_script
      NO_UNSUPPORTED_PLATFORM_ERROR
  )
  install(SCRIPT ${deploy_script})
  include(tools/MacDMG.CMakeLists.txt)
elseif (UNIX)
  include(tools/UnixInstall.CMakeLists.txt)
  include(tools/DebPack.CMakeLists.txt)
  include(CPack)
endif()

=== Makefile ===
# Makefile - Part of NotedELN, (C) Daniel Wagenaar 2021

# This Makefile just documents some generally useful actions.
# Actual build process is through cmake.

######################################################################
# Linux and Mac stuff
release: prep-release
	+cmake --build build --config Release

prep-release:
	+cmake -S . -B build -DCMAKE_BUILD_TYPE=Release  

debug: prep-debug
	+cmake --build build-debug --config Debug

prep-debug:
	+cmake -S . -B build-debug -DCMAKE_BUILD_TYPE=Debug 

clean:; rm -rf build build-debug

deb:	release
	(cd build; cpack )

tar:;	git archive -o ../notedeln.tar.gz --prefix=notedeln/ HEAD

######################################################################
.PHONY: release prep-release debug prep-debug clean tar deb

=== src/CMakeLists.txt ===
# Automatically generated by updatesources.sh

include(src/App/CMakeLists.txt)
target_include_directories(notedeln PRIVATE src/App)
include(src/ToolScene/CMakeLists.txt)
target_include_directories(notedeln PRIVATE src/ToolScene)
include(src/Dialogs/CMakeLists.txt)
target_include_directories(notedeln PRIVATE src/Dialogs)
include(src/Gui/CMakeLists.txt)
target_include_directories(notedeln PRIVATE src/Gui)
include(src/Book/CMakeLists.txt)
target_include_directories(notedeln PRIVATE src/Book)
include(src/Data/CMakeLists.txt)
target_include_directories(notedeln PRIVATE src/Data)
include(src/File/CMakeLists.txt)
target_include_directories(notedeln PRIVATE src/File)
include(src/Items/CMakeLists.txt)
target_include_directories(notedeln PRIVATE src/Items)
include(src/Scenes/CMakeLists.txt)
target_include_directories(notedeln PRIVATE src/Scenes)
include(src/AutoNote/CMakeLists.txt)
target_include_directories(notedeln PRIVATE src/AutoNote)

=== webgrab/CMakeLists.txt ===
find_package(Qt6 
    REQUIRED COMPONENTS 
    Svg Pdf 
    WebChannel WebEngineCore WebEngineWidgets Positioning)

target_link_libraries(webgrab PRIVATE Qt6::Widgets Qt6::PrintSupport
    Qt6::Svg  Qt6::Pdf Qt6::WebEngineCore  Qt6::WebEngineWidgets)

target_sources(webgrab PRIVATE webgrab/Options.h)
target_sources(webgrab PRIVATE webgrab/Options.cpp)

target_sources(webgrab PRIVATE webgrab/PrinterWE.h)
target_sources(webgrab PRIVATE webgrab/webgrabWE.cpp)
target_sources(webgrab PRIVATE webgrab/PrinterWE.cpp)

=== src/App/CMakeLists.txt ===
# Automatically generated by updatesources.sh

target_sources(notedeln PRIVATE  src/App/AlreadyOpen.h )
target_sources(notedeln PRIVATE  src/App/AppInstance.h )
target_sources(notedeln PRIVATE  src/App/BuildDate.h )
target_sources(notedeln PRIVATE  src/App/CachedPointer.h )
target_sources(notedeln PRIVATE  src/App/CachedPointer_Impl.h )
target_sources(notedeln PRIVATE  src/App/Calltrace.h )
target_sources(notedeln PRIVATE  src/App/CrashReport.h )
target_sources(notedeln PRIVATE  src/App/CUI.h )
target_sources(notedeln PRIVATE  src/App/DeletedItem.h )
target_sources(notedeln PRIVATE  src/App/DeletedStack.h )
target_sources(notedeln PRIVATE  src/App/ElnAssert.h )
target_sources(notedeln PRIVATE  src/App/EProcess.h )
target_sources(notedeln PRIVATE  src/App/HtmlOutput.h )
target_sources(notedeln PRIVATE  src/App/Mode.h )
target_sources(notedeln PRIVATE  src/App/RecentBooks.h )
target_sources(notedeln PRIVATE  src/App/SceneBank.h )
target_sources(notedeln PRIVATE  src/App/Translate.h )
target_sources(notedeln PRIVATE  src/App/UserInfo.h )
target_sources(notedeln PRIVATE  src/App/Version.h )
target_sources(notedeln PRIVATE  src/App/WebGrab.h )
target_sources(notedeln PRIVATE  src/App/AlreadyOpen.cpp )
target_sources(notedeln PRIVATE  src/App/AppInstance.cpp )
target_sources(notedeln PRIVATE  src/App/BuildDate.cpp )
target_sources(notedeln PRIVATE  src/App/CachedPointer.cpp )
target_sources(notedeln PRIVATE  src/App/Calltrace.cpp )
target_sources(notedeln PRIVATE  src/App/CrashReport.cpp )
target_sources(notedeln PRIVATE  src/App/CUI.cpp )
target_sources(notedeln PRIVATE  src/App/DeletedItem.cpp )
target_sources(notedeln PRIVATE  src/App/DeletedStack.cpp )
target_sources(notedeln PRIVATE  src/App/ElnAssert.cpp )
target_sources(notedeln PRIVATE  src/App/EProcess.cpp )
target_sources(notedeln PRIVATE  src/App/HtmlOutput.cpp )
target_sources(notedeln PRIVATE  src/App/main.cpp )
target_sources(notedeln PRIVATE  src/App/Mode.cpp )
target_sources(notedeln PRIVATE  src/App/Printing.cpp )
target_sources(notedeln PRIVATE  src/App/RecentBooks.cpp )
target_sources(notedeln PRIVATE  src/App/SceneBank.cpp )
target_sources(notedeln PRIVATE  src/App/Translate.cpp )
target_sources(notedeln PRIVATE  src/App/UserInfo.cpp )
target_sources(notedeln PRIVATE  src/App/Version.cpp )
target_sources(notedeln PRIVATE  src/App/WebGrab.cpp )
target_sources(notedeln PRIVATE  src/App/appicon.qrc )
target_sources(notedeln PRIVATE  src/App/conf.qrc )
target_sources(notedeln PRIVATE  src/App/trans.qrc )

=== src/AutoNote/CMakeLists.txt ===
# Automatically generated by updatesources.sh

target_sources(notedeln PRIVATE  src/AutoNote/AN_Biblio.h )
target_sources(notedeln PRIVATE  src/AutoNote/AN_Pubmed.h )
target_sources(notedeln PRIVATE  src/AutoNote/AutoNote.h )
target_sources(notedeln PRIVATE  src/AutoNote/AN_Biblio.cpp )
target_sources(notedeln PRIVATE  src/AutoNote/AN_Pubmed.cpp )
target_sources(notedeln PRIVATE  src/AutoNote/AutoNote.cpp )

=== src/Book/CMakeLists.txt ===
# Automatically generated by updatesources.sh

target_sources(notedeln PRIVATE  src/Book/BookData.h )
target_sources(notedeln PRIVATE  src/Book/Catalog.h )
target_sources(notedeln PRIVATE  src/Book/Index.h )
target_sources(notedeln PRIVATE  src/Book/Notebook.h )
target_sources(notedeln PRIVATE  src/Book/Search.h )
target_sources(notedeln PRIVATE  src/Book/SearchResult.h )
target_sources(notedeln PRIVATE  src/Book/Style.h )
target_sources(notedeln PRIVATE  src/Book/TOCEntry.h )
target_sources(notedeln PRIVATE  src/Book/TOCFile.h )
target_sources(notedeln PRIVATE  src/Book/TOC.h )
target_sources(notedeln PRIVATE  src/Book/WordIndex.h )
target_sources(notedeln PRIVATE  src/Book/BookData.cpp )
target_sources(notedeln PRIVATE  src/Book/Catalog.cpp )
target_sources(notedeln PRIVATE  src/Book/Index.cpp )
target_sources(notedeln PRIVATE  src/Book/Notebook.cpp )
target_sources(notedeln PRIVATE  src/Book/Search.cpp )
target_sources(notedeln PRIVATE  src/Book/Style.cpp )
target_sources(notedeln PRIVATE  src/Book/TOC.cpp )
target_sources(notedeln PRIVATE  src/Book/TOCEntry.cpp )
target_sources(notedeln PRIVATE  src/Book/WordIndex.cpp )

=== src/Data/CMakeLists.txt ===
# Automatically generated by updatesources.sh

target_sources(notedeln PRIVATE  src/Data/BlockData.h )
target_sources(notedeln PRIVATE  src/Data/Data.h )
target_sources(notedeln PRIVATE  src/Data/DataTemplates.h )
target_sources(notedeln PRIVATE  src/Data/EntryData.h )
target_sources(notedeln PRIVATE  src/Data/FootnoteData.h )
target_sources(notedeln PRIVATE  src/Data/GfxBlockData.h )
target_sources(notedeln PRIVATE  src/Data/GfxData.h )
target_sources(notedeln PRIVATE  src/Data/GfxImageData.h )
target_sources(notedeln PRIVATE  src/Data/GfxLineData.h )
target_sources(notedeln PRIVATE  src/Data/GfxMarkData.h )
target_sources(notedeln PRIVATE  src/Data/GfxNoteData.h )
target_sources(notedeln PRIVATE  src/Data/GfxPointsData.h )
target_sources(notedeln PRIVATE  src/Data/GfxSketchData.h )
target_sources(notedeln PRIVATE  src/Data/GfxVideoData.h )
target_sources(notedeln PRIVATE  src/Data/LateNoteData.h )
target_sources(notedeln PRIVATE  src/Data/MarkupData.h )
target_sources(notedeln PRIVATE  src/Data/MarkupEdges.h )
target_sources(notedeln PRIVATE  src/Data/MarkupStyles.h )
target_sources(notedeln PRIVATE  src/Data/Random.h )
target_sources(notedeln PRIVATE  src/Data/ResManager.h )
target_sources(notedeln PRIVATE  src/Data/Resource.h )
target_sources(notedeln PRIVATE  src/Data/TableBlockData.h )
target_sources(notedeln PRIVATE  src/Data/TableCell.h )
target_sources(notedeln PRIVATE  src/Data/TableData.h )
target_sources(notedeln PRIVATE  src/Data/TextBlockData.h )
target_sources(notedeln PRIVATE  src/Data/TextData.h )
target_sources(notedeln PRIVATE  src/Data/TitleData.h )
target_sources(notedeln PRIVATE  src/Data/UUID.h )
target_sources(notedeln PRIVATE  src/Data/BlockData.cpp )
target_sources(notedeln PRIVATE  src/Data/Data.cpp )
target_sources(notedeln PRIVATE  src/Data/EntryData.cpp )
target_sources(notedeln PRIVATE  src/Data/FootnoteData.cpp )
target_sources(notedeln PRIVATE  src/Data/GfxBlockData.cpp )
target_sources(notedeln PRIVATE  src/Data/GfxData.cpp )
target_sources(notedeln PRIVATE  src/Data/GfxImageData.cpp )
target_sources(notedeln PRIVATE  src/Data/GfxLineData.cpp )
target_sources(notedeln PRIVATE  src/Data/GfxMarkData.cpp )
target_sources(notedeln PRIVATE  src/Data/GfxNoteData.cpp )
target_sources(notedeln PRIVATE  src/Data/GfxPointsData.cpp )
target_sources(notedeln PRIVATE  src/Data/GfxSketchData.cpp )
target_sources(notedeln PRIVATE  src/Data/GfxVideoData.cpp )
target_sources(notedeln PRIVATE  src/Data/LateNoteData.cpp )
target_sources(notedeln PRIVATE  src/Data/MarkupData.cpp )
target_sources(notedeln PRIVATE  src/Data/MarkupEdges.cpp )
target_sources(notedeln PRIVATE  src/Data/Random.cpp )
target_sources(notedeln PRIVATE  src/Data/ResManager.cpp )
target_sources(notedeln PRIVATE  src/Data/Resource.cpp )
target_sources(notedeln PRIVATE  src/Data/TableBlockData.cpp )
target_sources(notedeln PRIVATE  src/Data/TableCell.cpp )
target_sources(notedeln PRIVATE  src/Data/TableData.cpp )
target_sources(notedeln PRIVATE  src/Data/TableData_HighLevel.cpp )
target_sources(notedeln PRIVATE  src/Data/TextBlockData.cpp )
target_sources(notedeln PRIVATE  src/Data/TextData.cpp )
target_sources(notedeln PRIVATE  src/Data/TitleData.cpp )
target_sources(notedeln PRIVATE  src/Data/UUID.cpp )

=== src/Dialogs/CMakeLists.txt ===
# Automatically generated by updatesources.sh

target_sources(notedeln PRIVATE  src/Dialogs/AboutBox.h )
target_sources(notedeln PRIVATE  src/Dialogs/CloneBookDialog.h )
target_sources(notedeln PRIVATE  src/Dialogs/GotoPageDialog.h )
target_sources(notedeln PRIVATE  src/Dialogs/NewBookDialog.h )
target_sources(notedeln PRIVATE  src/Dialogs/PrintDialog.h )
target_sources(notedeln PRIVATE  src/Dialogs/SearchDialog.h )
target_sources(notedeln PRIVATE  src/Dialogs/SearchView.h )
target_sources(notedeln PRIVATE  src/Dialogs/AboutBox.cpp )
target_sources(notedeln PRIVATE  src/Dialogs/CloneBookDialog.cpp )
target_sources(notedeln PRIVATE  src/Dialogs/GotoPageDialog.cpp )
target_sources(notedeln PRIVATE  src/Dialogs/NewBookDialog.cpp )
target_sources(notedeln PRIVATE  src/Dialogs/PrintDialog.cpp )
target_sources(notedeln PRIVATE  src/Dialogs/SearchDialog.cpp )
target_sources(notedeln PRIVATE  src/Dialogs/SearchView.cpp )
target_sources(notedeln PRIVATE  src/Dialogs/CloneBookDialog.ui )
target_sources(notedeln PRIVATE  src/Dialogs/NewBookDialog.ui )
target_sources(notedeln PRIVATE  src/Dialogs/PrintDialog.ui )

=== src/File/CMakeLists.txt ===
# Automatically generated by updatesources.sh

target_sources(notedeln PRIVATE  src/File/BackgroundVC.h )
target_sources(notedeln PRIVATE  src/File/BookFile.h )
target_sources(notedeln PRIVATE  src/File/CachedEntry.h )
target_sources(notedeln PRIVATE  src/File/DataFile.h )
target_sources(notedeln PRIVATE  src/File/DefaultLocation.h )
target_sources(notedeln PRIVATE  src/File/DFBlocker.h )
target_sources(notedeln PRIVATE  src/File/Downloader.h )
target_sources(notedeln PRIVATE  src/File/EntryFile.h )
target_sources(notedeln PRIVATE  src/File/Entry.h )
target_sources(notedeln PRIVATE  src/File/ImageLoader.h )
target_sources(notedeln PRIVATE  src/File/JSONFile.h )
target_sources(notedeln PRIVATE  src/File/LateNoteFile.h )
target_sources(notedeln PRIVATE  src/File/LateNoteManager.h )
target_sources(notedeln PRIVATE  src/File/PointerSet.h )
target_sources(notedeln PRIVATE  src/File/ResLoader.h )
target_sources(notedeln PRIVATE  src/File/RmDir.h )
target_sources(notedeln PRIVATE  src/File/SmartURL.h )
target_sources(notedeln PRIVATE  src/File/SvgFile.h )
target_sources(notedeln PRIVATE  src/File/VersionControl.h )
target_sources(notedeln PRIVATE  src/File/VideoFile.h )
target_sources(notedeln PRIVATE  src/File/BackgroundVC.cpp )
target_sources(notedeln PRIVATE  src/File/CachedEntry.cpp )
target_sources(notedeln PRIVATE  src/File/DataFile.cpp )
target_sources(notedeln PRIVATE  src/File/DefaultLocation.cpp )
target_sources(notedeln PRIVATE  src/File/DFBlocker.cpp )
target_sources(notedeln PRIVATE  src/File/Downloader.cpp )
target_sources(notedeln PRIVATE  src/File/Entry.cpp )
target_sources(notedeln PRIVATE  src/File/EntryFile.cpp )
target_sources(notedeln PRIVATE  src/File/ImageLoader.cpp )
target_sources(notedeln PRIVATE  src/File/JSONFile.cpp )
target_sources(notedeln PRIVATE  src/File/LateNoteFile.cpp )
target_sources(notedeln PRIVATE  src/File/LateNoteManager.cpp )
target_sources(notedeln PRIVATE  src/File/PointerSet.cpp )
target_sources(notedeln PRIVATE  src/File/ResLoader.cpp )
target_sources(notedeln PRIVATE  src/File/RmDir.cpp )
target_sources(notedeln PRIVATE  src/File/SvgFile.cpp )
target_sources(notedeln PRIVATE  src/File/VersionControl.cpp )
target_sources(notedeln PRIVATE  src/File/VideoFile.cpp )

=== src/Gui/CMakeLists.txt ===
# Automatically generated by updatesources.sh

target_sources(notedeln PRIVATE  src/Gui/BookSplashItem.h )
target_sources(notedeln PRIVATE  src/Gui/Cursors.h )
target_sources(notedeln PRIVATE  src/Gui/DefaultSize.h )
target_sources(notedeln PRIVATE  src/Gui/EventView.h )
target_sources(notedeln PRIVATE  src/Gui/Fonts.h )
target_sources(notedeln PRIVATE  src/Gui/LinkHelper.h )
target_sources(notedeln PRIVATE  src/Gui/OneLink.h )
target_sources(notedeln PRIVATE  src/Gui/PageEditor.h )
target_sources(notedeln PRIVATE  src/Gui/PageView.h )
target_sources(notedeln PRIVATE  src/Gui/PopLabel.h )
target_sources(notedeln PRIVATE  src/Gui/PreviewPopper.h )
target_sources(notedeln PRIVATE  src/Gui/SplashScene.h )
target_sources(notedeln PRIVATE  src/Gui/SplashView.h )
target_sources(notedeln PRIVATE  src/Gui/VideoSlider.h )
target_sources(notedeln PRIVATE  src/Gui/BookSplashItem.cpp )
target_sources(notedeln PRIVATE  src/Gui/Cursors.cpp )
target_sources(notedeln PRIVATE  src/Gui/DefaultSize.cpp )
target_sources(notedeln PRIVATE  src/Gui/EventView.cpp )
target_sources(notedeln PRIVATE  src/Gui/Fonts.cpp )
target_sources(notedeln PRIVATE  src/Gui/LinkHelper.cpp )
target_sources(notedeln PRIVATE  src/Gui/OneLink.cpp )
target_sources(notedeln PRIVATE  src/Gui/PageEditor.cpp )
target_sources(notedeln PRIVATE  src/Gui/PageView.cpp )
target_sources(notedeln PRIVATE  src/Gui/PopLabel.cpp )
target_sources(notedeln PRIVATE  src/Gui/PreviewPopper.cpp )
target_sources(notedeln PRIVATE  src/Gui/SplashScene.cpp )
target_sources(notedeln PRIVATE  src/Gui/SplashView.cpp )
target_sources(notedeln PRIVATE  src/Gui/VideoSlider.cpp )
target_sources(notedeln PRIVATE  src/Gui/style.qrc )

=== src/Items/CMakeLists.txt ===
# Automatically generated by updatesources.sh

target_sources(notedeln PRIVATE  src/Items/Accents.h )
target_sources(notedeln PRIVATE  src/Items/BlockItem.h )
target_sources(notedeln PRIVATE  src/Items/DefaultingTextItem.h )
target_sources(notedeln PRIVATE  src/Items/Digraphs.h )
target_sources(notedeln PRIVATE  src/Items/DragLine.h )
target_sources(notedeln PRIVATE  src/Items/FontVariants.h )
target_sources(notedeln PRIVATE  src/Items/FootnoteItem.h )
target_sources(notedeln PRIVATE  src/Items/FutileMovementInfo.h )
target_sources(notedeln PRIVATE  src/Items/GfxBlockItem.h )
target_sources(notedeln PRIVATE  src/Items/GfxImageItem.h )
target_sources(notedeln PRIVATE  src/Items/GfxLineItem.h )
target_sources(notedeln PRIVATE  src/Items/GfxMarkItem.h )
target_sources(notedeln PRIVATE  src/Items/GfxNoteItem.h )
target_sources(notedeln PRIVATE  src/Items/GfxSketchItem.h )
target_sources(notedeln PRIVATE  src/Items/GfxVideoItem.h )
target_sources(notedeln PRIVATE  src/Items/HtmlBuilder.h )
target_sources(notedeln PRIVATE  src/Items/HtmlParser.h )
target_sources(notedeln PRIVATE  src/Items/Item.h )
target_sources(notedeln PRIVATE  src/Items/LateNoteItem.h )
target_sources(notedeln PRIVATE  src/Items/Latin.h )
target_sources(notedeln PRIVATE  src/Items/SearchResItem.h )
target_sources(notedeln PRIVATE  src/Items/TableBlockItem.h )
target_sources(notedeln PRIVATE  src/Items/TableItemDoc.h )
target_sources(notedeln PRIVATE  src/Items/TableItem.h )
target_sources(notedeln PRIVATE  src/Items/TeXCodes.h )
target_sources(notedeln PRIVATE  src/Items/TextBlockItem.h )
target_sources(notedeln PRIVATE  src/Items/TextCursor.h )
target_sources(notedeln PRIVATE  src/Items/TextItemDocData.h )
target_sources(notedeln PRIVATE  src/Items/TextItemDoc.h )
target_sources(notedeln PRIVATE  src/Items/TextItem.h )
target_sources(notedeln PRIVATE  src/Items/TextSplitter.h )
target_sources(notedeln PRIVATE  src/Items/TitleItem.h )
target_sources(notedeln PRIVATE  src/Items/TOCItem.h )
target_sources(notedeln PRIVATE  src/Items/Unicode.h )
target_sources(notedeln PRIVATE  src/Items/Accents.cpp )
target_sources(notedeln PRIVATE  src/Items/BlockItem.cpp )
target_sources(notedeln PRIVATE  src/Items/DefaultingTextItem.cpp )
target_sources(notedeln PRIVATE  src/Items/Digraphs.cpp )
target_sources(notedeln PRIVATE  src/Items/DragLine.cpp )
target_sources(notedeln PRIVATE  src/Items/FontVariants.cpp )
target_sources(notedeln PRIVATE  src/Items/FootnoteItem.cpp )
target_sources(notedeln PRIVATE  src/Items/FutileMovementInfo.cpp )
target_sources(notedeln PRIVATE  src/Items/GfxBlockItem.cpp )
target_sources(notedeln PRIVATE  src/Items/GfxImageItem.cpp )
target_sources(notedeln PRIVATE  src/Items/GfxLineItem.cpp )
target_sources(notedeln PRIVATE  src/Items/GfxMarkItem.cpp )
target_sources(notedeln PRIVATE  src/Items/GfxNoteItem.cpp )
target_sources(notedeln PRIVATE  src/Items/GfxSketchItem.cpp )
target_sources(notedeln PRIVATE  src/Items/GfxVideoItem.cpp )
target_sources(notedeln PRIVATE  src/Items/HtmlBuilder.cpp )
target_sources(notedeln PRIVATE  src/Items/HtmlParser.cpp )
target_sources(notedeln PRIVATE  src/Items/Item.cpp )
target_sources(notedeln PRIVATE  src/Items/LateNoteItem.cpp )
target_sources(notedeln PRIVATE  src/Items/Latin.cpp )
target_sources(notedeln PRIVATE  src/Items/SearchResItem.cpp )
target_sources(notedeln PRIVATE  src/Items/TableBlockItem.cpp )
target_sources(notedeln PRIVATE  src/Items/TableItem.cpp )
target_sources(notedeln PRIVATE  src/Items/TableItemDoc.cpp )
target_sources(notedeln PRIVATE  src/Items/TeXCodes.cpp )
target_sources(notedeln PRIVATE  src/Items/TextBlockItem.cpp )
target_sources(notedeln PRIVATE  src/Items/TextCursor.cpp )
target_sources(notedeln PRIVATE  src/Items/TextItem.cpp )
target_sources(notedeln PRIVATE  src/Items/TextItemDoc.cpp )
target_sources(notedeln PRIVATE  src/Items/TextItemDocData.cpp )
target_sources(notedeln PRIVATE  src/Items/TextItem_MathMode.cpp )
target_sources(notedeln PRIVATE  src/Items/TextSplitter.cpp )
target_sources(notedeln PRIVATE  src/Items/TitleItem.cpp )
target_sources(notedeln PRIVATE  src/Items/TOCItem.cpp )
target_sources(notedeln PRIVATE  src/Items/Unicode.cpp )
target_sources(notedeln PRIVATE  src/Items/Digraphs.qrc )
target_sources(notedeln PRIVATE  src/Items/Latin.qrc )
target_sources(notedeln PRIVATE  src/Items/TeXCodes.qrc )

=== debian/changelog ===
eln (1.5.6-1) unstable; urgency=medium

  * New upstream release
  * bump policy
  * cherry-pick upstream patch, cosmetic bug fix

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 12 Nov 2025 12:35:20 +0000

=== debian/control ===
Source: eln
Section: editors
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Daniel Wagenaar <daw@caltech.edu>,
	   Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper-compat (= 13),
		cmake,
		qt6-base-dev,
		qt6-tools-dev,
		qt6-webengine-dev,
		qt6-multimedia-dev,
		qt6-svg-dev, qt6-pdf-dev,
		qt6-declarative-dev,
		qml6-module-qtdatavisualization,
		qml6-module-qt-labs-lottieqt,
		qml6-module-qtcharts,
		qml6-module-qtwebengine-controlsdelegates,
		qml6-module-qtwebengine,
		qml6-module-qtquick3d-spatialaudio,
		sphinx,
		asciidoc,
Standards-Version: 4.7.2
Homepage: https://www.danielwagenaar.net/eln
Vcs-Git: https://salsa.debian.org/science-team/eln.git
Vcs-Browser: https://salsa.debian.org/science-team/eln

Package: notedeln
Architecture: amd64 arm64 armhf i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: git
Description: Electronic Lab Notebook called NotedELN
 NotedELN is an electronic lab notebook with an emphasis on solid data
 storage. It is designed for scientists of all stripes, and supports:
 .
  * Taking notes during experiments since it automatically saves your
    input every 10 seconds so that your notes will never be lost;
 .
  * Keeping track of data analysis results since screen shots and
    other graphics can be added to a notebook page by drag-and-drop or
    copy-and-paste;
 .
  * Recording your lit searches, since it will automatically download
    papers from PubMed and archive them with your notebook;
 .
  * Recording your thought processes, since it will never get in the
    way of your typing with arbitrary constraints on input formatting.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT=6

%:
	dh $@ --buildsystem=cmake

execute_before_dh_auto_build:
	@echo "blhc: ignore-line-regexp: .*/CMakeCXXCompilerABI.cpp.*"

execute_after_dh_auto_install:
	@echo "Remove extra license file; contents are in debian/copyright"
	-rm --verbose debian/notedeln/usr/share/doc/notedeln/ubuntu-font-licence-1.0.txt
